OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Safe Haskell | None

Graphics.Rendering.OpenGL.GL.FramebufferObjects.Attachments

Description

# Documentation

data FramebufferObjectAttachment Source

Constructors

ColorAttachment !GLuint |
DepthAttachment |
StencilAttachment |
DepthStencilAttachment |

Instances

Eq FramebufferObjectAttachment |
Show FramebufferObjectAttachment |
FramebufferAttachment FramebufferObjectAttachment |

fboaToBufferMode :: FramebufferObjectAttachment -> Maybe BufferMode Source

fboaFromBufferMode :: BufferMode -> Maybe FramebufferObjectAttachment Source

maxColorAttachments :: GLenum Source

class Show a => FramebufferAttachment a where Source

Methods

marshalAttachment :: a -> Maybe GLenum Source

unmarshalAttachment :: GLenum -> aSource

unmarshalAttachmentSafe :: GLenum -> Maybe aSource

Instances

FramebufferAttachment BufferMode |
FramebufferAttachment FramebufferObjectAttachment |

framebufferRenderbuffer :: FramebufferTarget -> FramebufferObjectAttachment -> RenderbufferTarget -> RenderbufferObject -> IO ()Source

framebufferTexture1D :: FramebufferTarget -> FramebufferObjectAttachment -> TextureObject -> Level -> IO ()Source

framebufferTexture2D :: FramebufferTarget -> FramebufferObjectAttachment -> Maybe CubeMapTarget -> TextureObject -> Level -> IO ()Source

framebufferTexture3D :: FramebufferTarget -> FramebufferObjectAttachment -> TextureObject -> Level -> GLint -> IO ()Source

framebufferTextureLayer :: FramebufferTarget -> FramebufferObjectAttachment -> TextureObject -> Level -> GLint -> IO ()Source

getFBAParameteriv :: FramebufferAttachment fba => FramebufferTarget -> fba -> (GLint -> a) -> GLenum -> IO aSource